## GOFormatSel

GOFormatSel

## Synopsis

    #define             GO_TYPE_FORMAT_SEL
    #define             GO_FORMAT_SEL                       (o)
    #define             GO_IS_FORMAT_SEL                    (o)
                        GOFormatSel;
    GType               go_format_sel_get_type              (void);
    GtkWidget*          go_format_sel_new                   (void);
    void                go_format_sel_set_focus             (GOFormatSel *gfs);
    void                go_format_sel_set_style_format      (GOFormatSel *gfs,
                                                             GOFormat const *style_format);
    void                go_format_sel_set_locale            (GOFormatSel *gfs,
                                                             char const *locale);
    GOFormatconst *     go_format_sel_get_fmt               (GOFormatSel *gfs);
    void                go_format_sel_set_dateconv          (GOFormatSel *gfs,
                                                             GODateConventions const *date_conv);
    void                go_format_sel_show_preview          (GOFormatSel *gfs);
    void                go_format_sel_hide_preview          (GOFormatSel *gfs);
    void                go_format_sel_editable_enters       (GOFormatSel *gfs,
                                                             GtkWindow *window);
    charconst *         go_format_sel_format_classification (GOFormat const *style_format);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkHBox
                                           +----GOFormatSel

## Implemented Interfaces

GOFormatSel implements AtkImplementorIface and GtkBuildable.

## Signals

      "format-changed"                                 : Run Last
      "generate-preview"                               : Run Last

## Description

## Details

### GO_TYPE_FORMAT_SEL

    #define GO_TYPE_FORMAT_SEL	(go_format_sel_get_type ())

### GO_FORMAT_SEL()

    #define GO_FORMAT_SEL(o)	(G_TYPE_CHECK_INSTANCE_CAST((o), GO_TYPE_FORMAT_SEL, GOFormatSel))

`o` : |

### GO_IS_FORMAT_SEL()

    #define GO_IS_FORMAT_SEL(o)	(G_TYPE_CHECK_INSTANCE_TYPE((o), GO_TYPE_FORMAT_SEL))

`o` : |

### GOFormatSel

    typedef struct _GOFormatSel GOFormatSel;

### go_format_sel_get_type ()

    GType               go_format_sel_get_type              (void);

Returns : |

### go_format_sel_new ()

    GtkWidget*          go_format_sel_new                   (void);

Creates a format selector widget, with general format selected by default, and formats using pango markup disabled. See `go_format_sel_new_full`.

Returns : | a format selector widget.

### go_format_sel_set_focus ()

    void                go_format_sel_set_focus             (GOFormatSel *gfs);

`gfs` : |

### go_format_sel_set_style_format ()

    void                go_format_sel_set_style_format      (GOFormatSel *gfs,
                                                             GOFormat const *style_format);

`gfs` : |
`style_format` : |

### go_format_sel_set_locale ()

    void                go_format_sel_set_locale            (GOFormatSel *gfs,
                                                             char const *locale);

`gfs` : |
`locale` : |

### go_format_sel_get_fmt ()

    GOFormatconst *     go_format_sel_get_fmt               (GOFormatSel *gfs);

`gfs` : |
Returns : |

### go_format_sel_set_dateconv ()

    void                go_format_sel_set_dateconv          (GOFormatSel *gfs,
                                                             GODateConventions const *date_conv);

`gfs` : |
`date_conv` : |

### go_format_sel_show_preview ()

    void                go_format_sel_show_preview          (GOFormatSel *gfs);

`gfs` : |

### go_format_sel_hide_preview ()

    void                go_format_sel_hide_preview          (GOFormatSel *gfs);

`gfs` : |

### go_format_sel_editable_enters ()

    void                go_format_sel_editable_enters       (GOFormatSel *gfs,
                                                             GtkWindow *window);

`gfs` : |
`window` : |

### go_format_sel_format_classification ()

    charconst *         go_format_sel_format_classification (GOFormat const *style_format);

`style_format` : |
Returns : |

## Signal Details

### The `"format-changed"` signal

    void                user_function                      (GOFormatSel *goformatsel,
                                                            gpointer     arg1,
                                                            gpointer     user_data)        : Run Last

`goformatsel` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"generate-preview"` signal

    gchar*              user_function                      (GOFormatSel *goformatsel,
                                                            gpointer     arg1,
                                                            gpointer     user_data)        : Run Last

`goformatsel` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.
Returns : |